gtk2.0 2.24.11
authorYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Tue, 31 Jul 2012 02:40:16 +0000 (21:40 -0500)
committerYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Tue, 31 Jul 2012 02:40:16 +0000 (21:40 -0500)
README [deleted file]
girepository-Gtk2.0.hint [deleted file]
gtk2.0-2.24.11-1.cygport [moved from gtk2.0-2.24.10-2.cygport with 74% similarity]
gtk2.0-demo.hint [deleted file]
gtk2.0-engines-pixmap.hint [deleted file]
gtk2.0-gail.hint [deleted file]
gtk2.0.hint [deleted file]
libgailutil-devel.hint [deleted file]
libgailutil18.hint [deleted file]
libgtk2.0-devel.hint [deleted file]
libgtk2.0_0.hint [deleted file]

diff --git a/README b/README
deleted file mode 100644 (file)
index c665cfc..0000000
--- a/README
+++ /dev/null
@@ -1,113 +0,0 @@
-gtk2.0
--------------------------------------------
-GTK+ is a multi-platform toolkit for creating graphical user interfaces.
-Offering a complete set of widgets, GTK+ is suitable for projects
-ranging from small one-off projects to complete application suites.
-
-Runtime requirements:
-  cygwin-1.7.7-1
-  libatk1.0_0-1.30.0-1
-  libcairo2-1.8.10-2
-  libfontconfig1-2.8.0-1
-  libgcc1-4.5.0-1
-  libglib2.0_0-2.24.1-1
-  libintl8-0.17-11
-  libjasper1-1.900.1-1
-  libjpeg8-8b-1
-  libpango1.0_0-1.28.1-1
-  libpng14-1.4.3-2
-  libtiff5-3.9.2-1
-  libX11_6-1.3.5-1
-  libXcomposite1-0.4.2-1
-  libXcursor1-1.1.10-1
-  libXdamage1-1.1.3-1
-  libXext6-1.1.2-1
-  libXfixes3-4.0.5-1
-  libXi6-1.3.2-1
-  libXinerama1-1.1-1
-  libXrandr2-1.3.0-10
-  libXrender1-0.9.6-1
-  python
-
-Build requirements:
-(besides corresponding devel packages)
-  automake2.5-2.65-1
-  automake1.11-1.11.1-1
-  binutils-2.20.51-2
-  cygport-0.10.0-1
-  gawk-3.1.7-1
-  gcc4-core-4.5.0-1
-  gnome-common-2.28.0-2
-  gobject-introspection-0.6.14-1
-  gtk-doc-1.15-2
-  libtool-2.2.7a-15
-  make-3.81-2
-  pkg-config-0.23b-10
-
-Canonical homepage:
-  http://www.gtk.org/
-
-Canonical download:
-  ftp://ftp.gnome.org/pub/GNOME/sources/gtk+/
-  ftp://ftp.gtk.org/pub/gtk/
-
--------------------------------------------
-
-Build instructions:
-  unpack gtk2.0-2.20.1-X-src.tar.bz2
-    if you use setup to install this src package, it will be
-        unpacked under /usr/src automatically
-  cd /usr/src
-  cygport ./gtk2.0-2.20.1-X.cygport all
-
-This will create:
-  /usr/src/gail-2.20.1-X-src.tar.bz2
-  /usr/src/girepository-GdkPixbuf2.0-2.20.1-X-src.tar.bz2
-  /usr/src/girepository-Gtk2.0-2.20.1-X-src.tar.bz2
-  /usr/src/gtk2.0-2.20.1-X-src.tar.bz2
-  /usr/src/gtk2.0-demo-2.20.1-X-src.tar.bz2
-  /usr/src/gtk2.0-engines-pixmap-2.20.1-X-src.tar.bz2
-  /usr/src/libgailutil-devel-2.20.1-X.tar.bz2
-  /usr/src/libgailutil18-2.20.1-X.tar.bz2
-  /usr/src/libgdk_pixbuf2.0-devel-2.20.1-X.tar.bz2
-  /usr/src/libgdk_pixbuf2.0_0-2.20.1-X.tar.bz2
-  /usr/src/libgdk_pixbuf_xlib2.0-devel-2.20.1-X.tar.bz2
-  /usr/src/libgdk_pixbuf_xlib2.0_0-2.20.1-X.tar.bz2
-  /usr/src/libgtk2.0-2.20.1-X.tar.bz2
-  /usr/src/libgtk2.0_0-devel-2.20.1-X.tar.bz2
-
--------------------------------------------
-
-Port Notes:
-
------ version 2.20.1-2 -----
-Rebuilt for jpeg-8 and libpng14.
-
------ version 2.20.1-1 -----
-Version bump for GNOME 2.30.
-
------ version 2.18.6-1 -----
-Version bump.
-
------ version 2.18.3-1 -----
-Version bump for GNOME 2.28.
-
------ version 2.16.6-1 -----
-Version bump.
-
------ version 2.16.5-1 -----
-Version bump.
-
------ version 2.16.2-1 -----
-Version bump.
-Added .manifest file for gtk-update-icon-cache to avoid UAC issues.
-
------ version 2.16.1-1 -----
-Version bump.
-
------ version 2.16.0-1 -----
-Initial release of GNOME 2.26 for Cygwin 1.7.
-
-
-Cygwin port maintained by:
-http://sourceware.org/cygwinports/
diff --git a/girepository-Gtk2.0.hint b/girepository-Gtk2.0.hint
deleted file mode 100644 (file)
index 82c2b31..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-category: Gnome
-requires: girepository-cairo1.0 girepository-GLib2.0 girepository-Atk1.0 girepository-GdkPixbuf2.0 girepository-Pango1.0 girepository-x11 libgtk2.0_0
-external-source: gtk2.0
-sdesc: "Multi-platform GUI toolkit (GObject Introspection data)"
-ldesc: "Offering a complete set of widgets, GTK+ is suitable for 
-projects ranging from small one-off projects to complete application 
-suites."
similarity index 74%
rename from gtk2.0-2.24.10-2.cygport
rename to gtk2.0-2.24.11-1.cygport
index bd3c76793c2bf535dd61b2cf216a1cae26ac0526..5ab47886449514cadd7f89321535af0c92ce0307 100644 (file)
@@ -2,7 +2,11 @@ ORIG_PN=gtk+
 
 inherit gnome2
 
-DESCRIPTION="The GIMP Toolkit for X11, version ${PV_MAJ}"
+CATEGORY="Gnome X11"
+SUMMARY="GTK+ X11 GUI toolkit"
+DESCRIPTION="Offering a complete set of widgets, GTK+ is suitable for
+projects ranging from small one-off projects to complete application
+suites."
 HOMEPAGE="http://www.gtk.org/"
 
 PATCH_URI="
@@ -33,25 +37,33 @@ DEPEND="gnome-common gtk-doc
 
 PKG_NAMES="${PN}-demo ${PN}-engines-pixmap libgtk2.0_0 libgtk2.0-devel
            girepository-Gtk2.0 ${PN}-gail libgailutil18 libgailutil-devel"
+gtk2_0_demo_SUMMARY="GTK+ Demo application"
 gtk2_0_demo_CONTENTS="usr/bin/gtk-demo.exe usr/share/gtk-2.0/demo/"
+gtk2_0_engines_pixmap_SUMMARY="Pixmap theme engine for GTK+"
 gtk2_0_engines_pixmap_CONTENTS="usr/lib/gtk-2.0/*/engines/"
+libgtk2_0_0_SUMMARY="${SUMMARY} (runtime)"
+libgtk2_0_0_REQUIRES="gnome-icon-theme"
 libgtk2_0_0_CONTENTS="--exclude=gtk-builder-convert --exclude=*gailutil*
                  --exclude=gtk-update-icon-cache*
                  --exclude=include --exclude=gtk-demo.* etc/ usr/bin/
                  usr/lib/gtk-2.0/*/printbackends/
                  usr/share/doc/ usr/share/locale/ usr/share/man/ usr/share/themes/"
+libgtk2_0_devel_SUMMARY="${SUMMARY} (development)"
 libgtk2_0_devel_CONTENTS="--exclude=*gail* usr/bin/gtk-builder-convert
                  usr/include/ usr/lib/gtk-2.0/include/ usr/lib/lib*
                  usr/lib/pkgconfig/ usr/share/aclocal/ usr/share/gtk-doc/"
+girepository_Gtk2_0_SUMMARY="${SUMMARY} (GObject Introspection)"
 girepository_Gtk2_0_CONTENTS="usr/*/gir*/*-2.0.*"
+gtk2_0_gail_SUMMARY="Accessibility Module for GTK+"
 gtk2_0_gail_CONTENTS="usr/lib/gtk-2.0/modules/"
+libgailutil18_SUMMARY="Accessibility Library for GTK+ (runtime)"
 libgailutil18_CONTENTS="usr/bin/cyggailutil-18.dll"
+libgailutil_devel_SUMMARY="Accessibility Library for GTK+ (development)"
 libgailutil_devel_CONTENTS="usr/include/gail-1.0/ usr/lib/libgailutil.*
                  usr/lib/pkgconfig/gail.pc usr/share/gtk-doc/html/gail*"
 # now provided by gtk3
 PKG_IGNORE="usr/bin/gtk-update-icon-cache* usr/share/man/man1/gtk-update-icon-cache*"
 
-
 DIFF_EXCLUDES="gdk.rc"
 
 CYGCONF_ARGS="
diff --git a/gtk2.0-demo.hint b/gtk2.0-demo.hint
deleted file mode 100644 (file)
index 78c5e84..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-category: Gnome X11
-requires: libcairo2 libgcc1 libglib2.0_0 libgdk_pixbuf2.0_0 libgtk2.0_0 libpango1.0_0
-external-source: gtk2.0
-sdesc: "Multi-platform GUI toolkit (demo)"
-ldesc: "Offering a complete set of widgets, GTK+ is suitable for 
-projects ranging from small one-off projects to complete application 
-suites."
diff --git a/gtk2.0-engines-pixmap.hint b/gtk2.0-engines-pixmap.hint
deleted file mode 100644 (file)
index ba8e036..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-category: Gnome X11
-requires: libgcc1 libglib2.0_0 libgdk_pixbuf2.0_0 libgtk2.0_0
-external-source: gtk2.0
-sdesc: "Multi-platform GUI toolkit (Pixmap theme engine)"
-ldesc: "Offering a complete set of widgets, GTK+ is suitable for 
-projects ranging from small one-off projects to complete application 
-suites."
diff --git a/gtk2.0-gail.hint b/gtk2.0-gail.hint
deleted file mode 100644 (file)
index 636b320..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-category: Gnome
-requires: libatk1.0_0 libgcc1 libgailutil18 libglib2.0_0 libgdk_pixbuf2.0_0 libgtk2.0_0 libpango1.0_0 libX11_6
-external-source: gtk2.0
-sdesc: "Accessibility support for GTK+ (runtime module)"
-ldesc: "GAIL provides accessibility support for gtk+ by implementing 
-AtkObjects for widgets in gtk+. The GAIL library is a GTK+ module. For 
-example, if the module is loaded in a program which calls 
-gtk_widget_get_accessible() for a GtkEntry an instance of GailEntry is 
-returned. This module is normally used with the atk-bridge GTK+ module 
-from at-spi to allow an assistive technology, e.g a screenreader, to 
-query or drive the program."
diff --git a/gtk2.0.hint b/gtk2.0.hint
deleted file mode 100644 (file)
index 1e79372..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-category: Gnome X11
-sdesc: "Multi-platform GUI toolkit (sources)"
-ldesc: "Offering a complete set of widgets, GTK+ is suitable for 
-projects ranging from small one-off projects to complete application 
-suites."
diff --git a/libgailutil-devel.hint b/libgailutil-devel.hint
deleted file mode 100644 (file)
index 229d8ed..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-category: Gnome
-requires: libgailutil18 libatk1.0-devel libglib2.0-devel libgtk2.0-devel libpango1.0-devel
-external-source: gtk2.0
-sdesc: "Accessibility support for GTK+ (libdevel)"
-ldesc: "GAIL provides accessibility support for gtk+ by implementing 
-AtkObjects for widgets in gtk+. The GAIL library is a GTK+ module. For 
-example, if the module is loaded in a program which calls 
-gtk_widget_get_accessible() for a GtkEntry an instance of GailEntry is 
-returned. This module is normally used with the atk-bridge GTK+ module 
-from at-spi to allow an assistive technology, e.g a screenreader, to 
-query or drive the program."
diff --git a/libgailutil18.hint b/libgailutil18.hint
deleted file mode 100644 (file)
index d423f8b..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-category: Gnome
-requires: libatk1.0_0 libgcc1 libglib2.0_0 libgtk2.0_0 libpango1.0_0
-external-source: gtk2.0
-sdesc: "Accessibility support for GTK+ (runtime library)"
-ldesc: "GAIL provides accessibility support for gtk+ by implementing 
-AtkObjects for widgets in gtk+. The GAIL library is a GTK+ module. For 
-example, if the module is loaded in a program which calls 
-gtk_widget_get_accessible() for a GtkEntry an instance of GailEntry is 
-returned. This module is normally used with the atk-bridge GTK+ module 
-from at-spi to allow an assistive technology, e.g a screenreader, to 
-query or drive the program."
diff --git a/libgtk2.0-devel.hint b/libgtk2.0-devel.hint
deleted file mode 100644 (file)
index 2cbcfa1..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-category: Gnome X11
-requires: libgtk2.0_0 libatk1.0-devel libcairo-devel libfontconfig-devel libgdk_pixbuf2.0-devel libglib2.0-devel gettext libpango1.0-devel libX11-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXext-devel libXfixes-devel libXi-devel libXinerama-devel libXrandr-devel libXrender-devel python
-external-source: gtk2.0
-sdesc: "Multi-platform GUI toolkit (development)"
-ldesc: "Offering a complete set of widgets, GTK+ is suitable for 
-projects ranging from small one-off projects to complete application 
-suites."
diff --git a/libgtk2.0_0.hint b/libgtk2.0_0.hint
deleted file mode 100644 (file)
index 02682ca..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-category: Gnome X11
-requires: gnome-icon-theme libatk1.0_0 libcairo2 libfontconfig1 libgcc1 libgdk_pixbuf2.0_0 libglib2.0_0 libintl8 libpango1.0_0 libX11_6 libXcomposite1 libXcursor1 libXdamage1 libXext6 libXfixes3 libXi6 libXinerama1 libXrandr2 libXrender1 shared-mime-info
-external-source: gtk2.0
-sdesc: "Multi-platform GUI toolkit (runtime)"
-ldesc: "Offering a complete set of widgets, GTK+ is suitable for 
-projects ranging from small one-off projects to complete application 
-suites."
This page took 0.031784 seconds and 5 git commands to generate.